MPT_HARDRESETHANDLER(9)

NAME
mpt_HardResetHandler - Generic reset handler

SYNOPSIS

int mpt_HardResetHandler(MPT_ADAPTER * ioc, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

sleepFlag
    Indicates if sleep or schedule must be called.

DESCRIPTION

Issues SCSI Task Management call based on input arg values. If TaskMgmt fails, returns associated SCSI request.

REMARK

_HardResetHandler can be invoked from an interrupt thread (timer) or a non-interrupt thread. In the former, must not call schedule.

NOTE

A return of -1 is a FATAL error case, as it means a FW reload/initialization failed.

Returns 0 for SUCCESS or -1 if FAILED.

COPYRIGHT